aboutsummaryrefslogtreecommitdiff
path: root/init.d
diff options
context:
space:
mode:
Diffstat (limited to 'init.d')
-rw-r--r--init.d/localmount.in5
-rw-r--r--init.d/netmount.in8
2 files changed, 11 insertions, 2 deletions
diff --git a/init.d/localmount.in b/init.d/localmount.in
index f4bf15f6..29e73486 100644
--- a/init.d/localmount.in
+++ b/init.d/localmount.in
@@ -15,18 +15,19 @@ depend()
start()
{
# Mount local filesystems in /etc/fstab.
- local types="noproc" x= rc=
+ local types="noproc" x= no_netdev= rc=
for x in $net_fs_list $extra_net_fs_list; do
types="${types},no${x}"
done
if [ "$RC_UNAME" = Linux ]; then
+ no_netdev="-O no_netdev"
if mountinfo -q /usr; then
touch "$RC_SVCDIR"/usr_premounted
fi
fi
ebegin "Mounting local filesystems"
- mount -at "$types"
+ mount -at "$types" $no_netdev
eend $? "Some local filesystem failed to mount"
rc=$?
if [ "$RC_UNAME" != Linux ]; then
diff --git a/init.d/netmount.in b/init.d/netmount.in
index d9cf9c56..d1f3cffc 100644
--- a/init.d/netmount.in
+++ b/init.d/netmount.in
@@ -22,6 +22,10 @@ start()
ebegin "Mounting network filesystems"
mount -at $fs
rc=$?
+ if [ "$RC_UNAME" = Linux ]; then
+ mount -a -O _netdev
+ rc=$?
+ fi
ewend $rc "Could not mount all network filesystems"
if [ "$RC_UNAME" != Linux ]; then
rc=0
@@ -53,5 +57,9 @@ stop()
retval=$?
eoutdent
+ if [ "$RC_UNAME" = Linux ]; then
+ umount -a -O _netdev
+ retval=$?
+ fi
eend $retval "Failed to unmount network filesystems"
}